Bug 428832 - Asterisk packages missing demo-echotest and other audio data
Asterisk packages missing demo-echotest and other audio data
Status: CLOSED DUPLICATE of bug 483331
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
: Reopened
: 454881 (view as bug list)
Depends On: 483331
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 10:12 EST by W. Michael Petullo
Modified: 2009-02-09 21:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 21:22:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2008-01-15 10:12:58 EST
Description of problem:
I have installed asterisk, but it seems that there is no package for asterisk's
audio data.

Version-Release number of selected component (if applicable):
asterisk-1.4.17-1.fc8
asterisk-alsa-1.4.17-1.fc8
asterisk-voicemail-1.4.17-1.fc8

How reproducible:
Every time

Steps to Reproduce:
Install Asterisk. Try to call "600," which is the echo test.
  
Actual results:
The following is logged:

[Jan 15 19:16:13] WARNING[4011] file.c: File demo-echotest does not exist in any
format
[Jan 15 19:16:13] WARNING[4011] file.c: Unable to open demo-echotest (format
0x40004 (ulaw|h261)): No such file or directory
[Jan 15 19:16:13] WARNING[4011] app_playback.c: ast_streamfile failed on
SIP/localhost-1019e888 for demo-echotest

Expected results:


Additional info:
Are there licensing issues related to these sounds?
Comment 1 Jeffrey C. Ollie 2008-01-15 11:18:34 EST
Yes, the sounds provided by Digium do not have licenses associated with them, so
we are unable to package them for Asterisk at this point.  I've been after them
for a long time to provide a license but for some reason that have not.  It's
easy enough to download the sounds from download.digium.com and untar them in
/usr/share/asterisk/sounds though.
Comment 2 Jeffrey C. Ollie 2008-01-15 11:19:09 EST
Er, I meant "unable to package them for Fedora"...
Comment 3 W. Michael Petullo 2008-06-29 22:34:48 EDT
Would you mind leaving this bug open until we resolve this issue? The priority is set to low.

Asterisk's asterisk-sounds-1.2.1.tar.gz was distributed with a file named README.txt that states, 
"...These sounds are BSD-licensed..." See http://downloads.digium.com/pub/asterisk/releases/. These 
sounds do not appear to be the same distributed with 1.6, but do seem to be recorded by the same 
woman. Does this help?

What about this: http://lists.alioth.debian.org/pipermail/pkg-voip-maintainers/2006-
May/004710.html ? This is an email in which audio licensing is discussed with a Debian packager.

Does the audio at http://www.voicevector.com/Downloads.php?
PHPSESSID=001824a9b8a9a033cd47f95388c8825a have an acceptable license?
Comment 4 Jeffrey C. Ollie 2008-06-29 23:30:56 EDT
(In reply to comment #3)
> Would you mind leaving this bug open until we resolve this issue? The priority
is set to low.
> 
> Asterisk's asterisk-sounds-1.2.1.tar.gz was distributed with a file named
README.txt that states, 
> "...These sounds are BSD-licensed..." See
http://downloads.digium.com/pub/asterisk/releases/. These 
> sounds do not appear to be the same distributed with 1.6, but do seem to be
recorded by the same 
> woman. Does this help?

It's my understanding that the 1.4 versions of the sounds were entirely
re-recorded.  It is the same voice artist that recorded the sounds.  It's also
my understanding that the voice artists that recorded the prompts are unwilling
to license the sounds under a license that allows commercial use.


> What about this:
http://lists.alioth.debian.org/pipermail/pkg-voip-maintainers/2006-
> May/004710.html ? This is an email in which audio licensing is discussed with
a Debian packager.

This discussion appears to refer to the older v1.2 sounds.

> Does the audio at http://www.voicevector.com/Downloads.php?
> PHPSESSID=001824a9b8a9a033cd47f95388c8825a have an acceptable license?

You'd need to bounce that question off Tom Callaway, who has much more
experience with licenses and has contacts that can help sort things out.
Comment 5 W. Michael Petullo 2008-07-01 21:08:48 EDT
How about this:

http://devs.callweaver.org/sounds/

These are released under the Attribution-No Derivative Works 3.0 Unported license. The license may be 
found in sounds/en_US/MelanieTaylor/README.

According to http://fedoraproject.org/wiki/Licensing, this license is acceptable for content included in 
the Fedora project.

From my testing, these audio files have coverage of the requirements of Asterisk 1.6.
Comment 6 W. Michael Petullo 2008-07-01 21:49:41 EDT
This is how I installed theses sounds on top of my Asterisk rpm.

1. Unpack the tarball
2. make
3. bash install --prefix=/usr/share/asterisk
4. mv /usr/share/asterisk/sounds/en_US/MelanieTaylor/* /usr/shared/asterisk/sounds
5. rm -rf usr/share/asterisk/sounds/en_US
Comment 7 W. Michael Petullo 2008-07-02 23:08:46 EDT
This may be a solution. I thought about just adding this to the Asterisk package, but it requires its own 
build process. Also, the package is called callweaver-sounds, not asterisk-sounds, but it does provide 
asterisk-sounds. All of this is up for discussion. If you like this solution, I'll post this to be added to 
Fedora (with any necessary changes).

Spec URL: http://www.flyn.org/SRPMS/callweaver-sounds.spec
SRPM URL: http://www.flyn.org/SRPMS/callweaver-sounds-20071202-1.fc9.src.rpm

For reference, see also: http://bugs.digium.com/view.php?id=12977
Comment 8 Jeffrey C. Ollie 2008-07-10 11:21:26 EDT
*** Bug 454881 has been marked as a duplicate of this bug. ***
Comment 9 Jeffrey C. Ollie 2008-07-10 11:25:45 EDT
While the sounds from CallWeaver are very similar, there are differences and
they are likely to grow in the future.  Packaging the CallWeaver sounds still
makes sense for using them with CallWeaver though, but please don't place them
under /usr/share/asterisk/sounds.  Perhaps a callweaver-asterisk-sounds
subpackage could be created that symlinks the callweaver sounds to the asterisk
directory.  Then once a real asterisk sounds package was available it could
conflict/obsolete the callweaver-asterisk-sounds package.
Comment 10 W. Michael Petullo 2008-07-10 20:04:41 EDT
This is a mess! See also https://bugzilla.redhat.com/show_bug.cgi?id=454949.
Comment 11 Bug Zapper 2008-11-26 04:26:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Jeffrey C. Ollie 2008-11-26 09:08:25 EST
Moving version to rawhide.  I've heard from a number of sources that the problems with licensing might be clearing up...
Comment 13 W. Michael Petullo 2009-01-04 20:25:52 EST
Yes, if you view the Digium bug at http://bugs.digium.com/view.php?id=10144, you will see that there is discussion regarding this issue as recent as 03 NOV 08.
Comment 14 Jeffrey C. Ollie 2009-01-30 15:42:25 EST
Woo! Digium finally has release the sounds under a license acceptable to Fedora (CC-BY-SA).  Package review is here:

https://bugzilla.redhat.com/show_bug.cgi?id=483331
Comment 15 W. Michael Petullo 2009-02-09 21:22:38 EST

*** This bug has been marked as a duplicate of bug 483331 ***

Note You need to log in before you can comment on or make changes to this bug.